Package relaxngcc.grammar

# Interface PatternFunction

All Known Implementing Classes:
  `AutomatonBuilder`, `PatternWalker`, `ScopeCollector`

public interface PatternFunction

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Method Summary

Modifier and Type
Method
Description
`void`
`addError(BuildError err)`
`Object`
`attribute(AttributePattern p)`
`Object`
`choice(ChoicePattern p)`
`Object`
`data(DataPattern p)`
`Object`
`element(ElementPattern p)`
`Object`
`empty(EmptyPattern p)`
`Object`
`group(GroupPattern p)`
`Object`
`interleave(InterleavePattern p)`
`Object`
`javaBlock(JavaBlock p)`
`Object`
`list(ListPattern p)`
`Object`
`notAllowed(NotAllowedPattern p)`
`Object`
`oneOrMore(OneOrMorePattern p)`
`Object`
`ref(RefPattern p)`
`Object`
`scope(Scope s)`
`Object`
`value(ValuePattern p)`

## Method Details

### empty

Object empty(EmptyPattern p)

### notAllowed

Object notAllowed(NotAllowedPattern p)

### group

Object group(GroupPattern p)

### interleave

Object interleave(InterleavePattern p)

### choice

Object choice(ChoicePattern p)

### oneOrMore

Object oneOrMore(OneOrMorePattern p)

### element

Object element(ElementPattern p)

### attribute

Object attribute(AttributePattern p)

### data

Object data(DataPattern p)

### value

Object value(ValuePattern p)

### list

Object list(ListPattern p)

### ref

Object ref(RefPattern p)

### scope

Object scope(Scope s)

### javaBlock

Object javaBlock(JavaBlock p)

### addError

void addError(BuildError err)